#pragma once

#include "defs.hpp"

namespace game {

enum class gameState {
    stateMenu = 0,
    stateInGame = 1,
    stateEditor = 2
};

void Init();
void Free();

Level *GetLevel();
Menu *GetMenu();

void SetState(gameState state);

void Update();
void Render();

}
